> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Brale integration.

> Create Brale partner api key and secret.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/brale
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/brale:
    put:
      tags:
        - Integrations Config
      summary: Setup Brale integration.
      description: Create Brale partner api key and secret.
      operationId: IntegrationsConfigController_setupBraleIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BraleSetupDto'
      responses:
        '202':
          description: Organization Brale integration data
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    BraleSetupDto:
      type: object
      properties:
        apiKey:
          type: string
          description: The Brale API key (client ID) for authentication.
          example: brale_client_id_123
        apiSecret:
          type: string
          description: The Brale API secret (client secret) for authentication.
          example: brale_client_secret_456
      required:
        - apiKey
        - apiSecret
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````